Scrape elements.
POST/accounts/{account_id}/browser-rendering/scrape
Get meta attributes like height, width, text and others of selected elements.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Scrape elements.
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/browser-rendering/scrape \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"elements": [
{
"selector": "selector"
}
],
"html": "<h1>Hello World!</h1>"
}'{
"result": [
{
"results": {
"attributes": [
{
"name": "name",
"value": "value"
}
],
"height": 0,
"html": "html",
"left": 0,
"text": "text",
"top": 0,
"width": 0
},
"selector": "selector"
}
],
"success": true,
"errors": [
{
"code": 0,
"message": "message"
}
]
}{
"errors": [
{
"code": 2001,
"message": "Rate limit exceeded"
}
],
"success": false
}Returns Examples
{
"result": [
{
"results": {
"attributes": [
{
"name": "name",
"value": "value"
}
],
"height": 0,
"html": "html",
"left": 0,
"text": "text",
"top": 0,
"width": 0
},
"selector": "selector"
}
],
"success": true,
"errors": [
{
"code": 0,
"message": "message"
}
]
}{
"errors": [
{
"code": 2001,
"message": "Rate limit exceeded"
}
],
"success": false
}